export declare class InternalMarkdownRenderer {
    content: string;
    enableTables: boolean;
    enableTaskLists: boolean;
    enableFootnotes: boolean;
    highlightCode: boolean;
    private renderedHtml;
    componentWillLoad(): Promise<void>;
    contentChanged(): Promise<void>;
    private renderMarkdown;
    render(): any;
}
